For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new handling action

Create new handling action

Required permissions: HANDLING

post
/tenants/{tenantUid}/handlings/{handlingUid}/actions
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Body
handlingActionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
activebooleanRequired
allowCommentbooleanRequired
namestring · max: 20Required
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
createdBystringRequired
handlingActionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
post/tenants/{tenantUid}/handlings/{handlingUid}/actions
POST /v2/tenants/{tenantUid}/handlings/{handlingUid}/actions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 94

{
  "handlingActionUid": "text",
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text"
}
200

Example response

{
  "active": true,
  "allowComment": true,
  "name": "text",
  "storeUid": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "handlingActionUid": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?